WNDEPTHS(1)

NAME
wnDepths.pl - find depths of WordNet taxonomies

SYNOPSIS
wnDepths.pl [[--wnhome=PATH] [--outfile=FILE|-] [--depthfile=FILE] [--wps] [--verbose]] | --help | --version]

DESCRIPTION
wnDepths.pl finds the depths of WordNet's noun and verb taxonomies; it can also find the depth of each synset in WordNet. This program was originally written for use with the WordNet::Similarity::lch and WordNet::Similarity::wup measures of semantic similarity, but it likely has other uses as well.

OPTIONS
--wnpath=path

The path to WordNet data files. The default is /usr/local/WordNet-2.1/dict on Unix and C:\WordNet\2.1\dict on Windows.

--outfile=file

The file to which the maximum depths of the taxomomies should be output. If this option is not given, or if the file name is -, then output will be sent to the standard output.

--depthfile=file

The file to which the depth of every noun and verb synset should be sent.

--wps

The names of synsets in the output as "word#part_of_speech#sense" strings rather than as offsets.

--verbose

Be verbose.

--help

Show detailed help message.

--version

Show version information.

AUTHORS
 Ted Pedersen, University of Minnesota Duluth
 tpederse at d.umn.edu

 Jason Michelizzi, University of Minnesota Duluth
 mich0212 at d.umn.edu

 Siddharth Patwardhan, University of Utah, Salt Lake City
 sidd at cs.utah.edu

BUGS
None.

To report a bug, go to http://groups.yahoo.com/group/wn-similarity or send an e-mail to "tpederse at d.umn.edu".

SEE ALSO
WordNet::Similarity(3)

http://wordnet.princeton.edu

http://wn-similarity.sourceforge.net

http://groups.yahoo.com/group/wn-similarity

COPYRIGHT
Copyright (c) 2005, Ted Pedersen, Jason Michelizzi and Siddharth Patwardhan

This program is free software; you can redistribute it and/or modify it under the terms of the GNU General Public License as published by the Free Software Foundation; either version 2 of the License, or (at your option) any later version.

This program is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General Public License for more details.

You should have received a copy of the GNU General Public License along with this program; if not, write to

    The Free Software Foundation, Inc.,
    59 Temple Place - Suite 330,
    Boston, MA  02111-1307, USA.

Note: a copy of the GNU General Public License is available on the web at <http://www.gnu.org/licenses/gpl.txt> and is included in this distribution as GPL.txt.